from bpy.types import PropertyGroup
from bpy.props import PointerProperty
# from .anim.props_weights_anim import ActiveEmitterWeightsAnimProps


class ActiveEmitterWeightsProps(PropertyGroup):

    """ Propiedades guardadas en el active_emitter_item.weigths.x """

    # estas van a nivel grupo no de item:
    # anim: PointerProperty(type=ActiveEmitterWeightsAnimProps)

    def get_default_properties(self, target_prop):
        for prop in self.bl_rna.properties:
            if prop.identifier == target_prop:
                if hasattr(prop, "default"):
                    return prop.default